hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mohit <mohitsi...@huawei.com>
Subject RE: is hbase 0.20.6 compatible with new hadoop 0.21.0 ?
Date Tue, 28 Dec 2010 06:52:12 GMT
Ok, I tell you series of steps I did and my observation:-

 

>I'm testing in a psuedo cluster mode. Everything from zookeeper(One
Zookeeper), NN and DN, HMaster and a HRegionServer are on one machine.

 

>On Master Start, avro classes were not found(ClassNotFound Exceptions were
coming), so I downloaded and provided in a classpath, I'm using version
1.4.1.

 

>After that , FileNotFound Exceptions for -ROOT- were coming, while HMaster
bootstrap, So I applied the patch named 1877.patch, It worked, Master
started on 10.18.55.66:6000 and IPC Handlers initialized as what I
configured.

 

>But at the Region Server process side, it tries to communicate with Master
but it is waiting forever. 

Very Strange, I see two flows invoking getMaster() at the same time, one is
Zookeeper Event, of Type NodeCreated (i.e. /hbase/master) and another one is
reportForDuty().

Is the waitForProxy() call thread safe?

So I see the log statement twice :- "Telling master at 10.18.55.66:6000 that
we are up".

 

Earlier I use to see this getting logged only once.

 

Anything else I'm missing :-(

 

-Mohit

 

****************************************************************************
***********

This e-mail and attachments contain confidential information from HUAWEI,
which is intended only for the person or entity whose address is listed
above. Any use of the information contained herein in any way (including,
but not limited to, total or partial disclosure, reproduction, or
dissemination) by persons other than the intended recipient's) is
prohibited. If you receive this e-mail in error, please notify the sender by
phone or email immediately and delete it!

 

-----Original Message-----
From: saint.ack@gmail.com [mailto:saint.ack@gmail.com] On Behalf Of Stack
Sent: Monday, December 27, 2010 9:45 PM
To: user@hbase.apache.org; mohitsikri@huawei.com
Cc: ryanobjc@gmail.com
Subject: Re: is hbase 0.20.6 compatible with new hadoop 0.21.0 ?

 

Is there a master running?  If so, what does it say in the master logs?

St.Ack

 

On Mon, Dec 27, 2010 at 7:26 AM, Mohit <mohitsikri@huawei.com> wrote:

> Oh, I'm sorry my mistake, I do rectified it,

> 

> but it seems Region Server(whether it is running as a thread(like in

> standalone) or as a local process or a distributed process) is not able to

> communicate to Master, It get stuck as from the RS logs I see

> 

> "Telling master at 10.18.55.66:6000 that we are up" and no progress after

> that

> 

> I checked my /etc/hosts and HOSTNAME, they are configured properly.

> 

> 

> 

> I'm doing anything wrong here?

> 

> But with hadoop 0.20.2 it ran smoothly. Yup will definitely try cdh3b2

> release as last attempt :-)

> 

> 

> 

> -Mohit

> 

>
****************************************************************************

> ***********

> 

> This e-mail and attachments contain confidential information from HUAWEI,

> which is intended only for the person or entity whose address is listed

> above. Any use of the information contained herein in any way (including,

> but not limited to, total or partial disclosure, reproduction, or

> dissemination) by persons other than the intended recipient's) is

> prohibited. If you receive this e-mail in error, please notify the sender
by

> phone or email immediately and delete it!

> 

> 

> 

> 

> 

> -----Original Message-----

> From: Ryan Rawson [mailto:ryanobjc@gmail.com]

> Sent: Monday, December 27, 2010 3:28 PM

> To: user@hbase.apache.org; mohitsikri@huawei.com

> Subject: Re: is hbase 0.20.6 compatible with new hadoop 0.21.0 ?

> 

> 

> 

> hi guys,

> 

> 

> 

> HBase 0.20.6 is likely to run well on hadoop 21.  We have many patches

> 

> that help bolster durability on top of branch-20-append, and also some

> 

> may apply to hadoop 21.

> 

> 

> 

> What you are possibly running in to is using hadoop 20 jars in hbase

> 

> 0.90 on top of hadoop 21.  Try deleting the hadoop 20 jars and copying

> 

> in your hadoop 21.

> 

> 

> 

> Also consider running cdh3b2+, hadoop 21 is a panned release and no

> 

> one runs it nor expects it to be run in a production setting.

> 

> 

> 

> -ryan

> 

> 

> 

> On Mon, Dec 27, 2010 at 1:45 AM, Mohit <mohitsikri@huawei.com> wrote:

> 

>> 

> 

>> Hello Users/Sebastian,

> 

>> 

> 

>> Even I'm not able to run HBase 0.20.6 with Hadoop 0.21, I'm getting EOF

> 

>> exception while creating FileSystem object during HMaster <init>.

> 

>> Whereas everything is working fine, with Hadoop 0.20.2

> 

>> 

> 

>> Any fixes available or any suggestions?

> 

>> 

> 

>> -Mohit

> 

>> 

>
****************************************************************************

> 

>> ***********

> 

>> This e-mail and attachments contain confidential information from HUAWEI,

> 

>> which is intended only for the person or entity whose address is listed

> 

>> above. Any use of the information contained herein in any way (including,

> 

>> but not limited to, total or partial disclosure, reproduction, or

> 

>> dissemination) by persons other than the intended recipient's) is

> 

>> prohibited. If you receive this e-mail in error, please notify the sender

> by

> 

>> phone or email immediately and delete it!

> 

>> 

> 

>> 

> 

>> -----Original Message-----

> 

>> From: Gokul [mailto:gokulakannan.m@gmail.com]

> 

>> Sent: Sunday, December 26, 2010 8:53 PM

> 

>> To: user@hbase.apache.org

> 

>> Cc: admin@ugame.net.pl

> 

>> Subject: Re: is hbase 0.20.6 compatible with new hadoop 0.21.0 ?

> 

>> 

> 

>> Thanks Sebastian<and for the fast response :) >

> 

>> 

> 

>> Is there any specific reason for this issue? (any patch or solution there

> to

> 

>> make it possible with hadoop 0.21.0? )

> 

>> 

> 

>> On Sun, Dec 26, 2010 at 8:37 PM, Sebastian Bauer <admin@ugame.net.pl>

> wrote:

> 

>> 

> 

>>> Hbase wont work with hadoop 0.21. Even hbase 0.90.

> 

>>> 

> 

>>> W dniu 26.12.2010 15:03, Gokul pisze:

> 

>>> > Hi ,

> 

>>> >

> 

>>> > I am using hbase with hadoop 0.20.1 version and I am planning to

> upgrade

> 

>>> to

> 

>>> > the latest hadoop release 0.21.0

> 

>>> >

> 

>>> > Is there any hbase compatibility issue with hadoop 0.21.0 ?

> 

>>> >

> 

>>> 

> 

>>> 

> 

>>> --

> 

>>> 

> 

>>> Pozdrawiam

> 

>>> Sebastian Bauer

> 

>>> -----------------------------------------------------

> 

>>> http://tikecik.pl

> 

>>> 

> 

>>> 

> 

>> 

> 

>> 

> 

>> --

> 

>> Thanks and Regards,

> 

>> Gokul

> 

>> 

> 

>> 

> 

> 


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message